@if (isEditable) {
  @if (formGroup) {
    <div class="form-grid p-b-10" [formGroup]="formGroup">
      @for (field of currentScheme$ | async; track field) {
        @if (isFieldVisible(field)) {
          <div class="flex-row">
            <sqtm-core-label [text]="getLabelForField(field)">
            </sqtm-core-label>
            @if (getHelpMessageForField(field) != null) {
              <i
                nz-icon
                [nzType]="'sqtm-core-generic:help'"
                nz-tooltip
                [nzTooltipTitle]="getHelpMessageForField(field)"
                class="tooltip-icon table-icon-size m-l-10 current-workspace-button"
              ></i>
            }
          </div>
          <sqtm-app-remote-issue-widget [field]="field" [formGroup]="formGroup">
          </sqtm-app-remote-issue-widget>
        }
      }
    </div>
  }
} @else {
  <div class="form-grid p-b-10">
    @if (remoteIssueService.searchResultLoaded$ | async) {
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.remote-issue.report-dialog.remote-project.label'
            | translate
        "
      >
      </sqtm-core-label>
      <span>{{ (remoteIssueService.state$ | async).remoteProjectName }}</span>
      @for (field of currentScheme$ | async; track field) {
        @if (isFieldVisible(field)) {
          <sqtm-core-label [text]="getLabelForField(field)"></sqtm-core-label>
          @if (isHTMLField(field)) {
            <span
              [innerHTML]="getReadonlyValueForField(field) | safeRichContent"
            ></span>
          } @else {
            <span class="read-only-field">
              {{ getReadonlyValueForField(field) }}
            </span>
          }
        }
      }
    }
  </div>
}

@if (asyncMode) {
  <div class="modal-overlay modal-overlay-loading">
    <i nz-icon nzType="loading" nzTheme="outline" class="m-auto"></i>
  </div>
}
